Get inventory
curl --request GET \
--url https://api.sandbox.usenash.com/v1/inventory \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/inventory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventory": [
{
"id": "<string>",
"productId": "prod_123",
"storeLocationId": "store_001",
"quantity": 50,
"available": true,
"externalProductId": "ext_001",
"externalStoreLocationId": "ext_store_002",
"valueCents": 299,
"currency": "USD",
"location": {
"aisle": "Produce",
"bay": "Fruits",
"shelf": "Bananas"
},
"details": {
"weightedItemInfo": {
"valueCentsPerMeasurementUnit": 120
}
},
"providerConfigs": [
{
"currency": "USD",
"details": {
"weightedItemInfo": {
"valueCentsPerMeasurementUnit": 135
}
},
"discount": {
"endTime": "2025-12-17T00:00:00Z",
"startTime": "2025-12-10T00:00:00Z",
"valueCents": 270
},
"provider": "X",
"serviceType": "pick_and_deliver",
"valueCents": 299
}
]
}
],
"totalResults": 123
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get inventory
List inventory levels with pagination. Filter by external store location ID or external product ID.
GET
/
v1
/
inventory
Get inventory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0Example:
0
Required range:
x >= 1Example:
100
Example:
"organic apples"
Example:
"pro_123,pro_456"
Example:
"SKU-001,SKU-002"
Example:
"fresh fruit for smoothies"
Was this page helpful?
⌘I